# allowUnsignedCerts

Allows connections to servers that present unsigned TLS certificates.

This parameter applies to omclickhouse: ClickHouse Output Module.

Name:

  allowUnsignedCerts

Scope:

  input

Type:

  boolean

Default:

  on

Required?:

  no

Introduced:

  not specified

## Description

The module accepts connections to servers, which have unsigned certificates. If this parameter is disabled, the module will verify whether the certificates are authentic.

## Input usage

    module(load="omclickhouse")
    action(type="omclickhouse" allowUnsignedCerts="off")

## See also

See also omclickhouse: ClickHouse Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.